Update gitlab ci with yarn building

- probably
0 jobs for go-three
yaml invalid error

Found errors in your .gitlab-ci.yml:

  • Go-py3.7 job: stage parameter should be test
You can also test your .gitlab-ci.yml in CI Lint